# AIList Class Reference
[Classes that create a list of items.]

Creates an empty list, in which you can add integers. More...

`#include <ai_list.hpp>`

Inheritance diagram for AIList:

## Public Member Functions
void | AddItem (int32 item, int32 value)
| Add an item to the list.
void | ChangeItem (int32 item, int32 value)
| Change the value of an item in the list.
void | RemoveItem (int32 item)
| Remove the item from the list.
SQInteger | _set (HSQUIRRELVM vm)
| Used for [] set from Squirrel.
## Static Public Member Functions
static const char * | GetClassName ()

## Detailed Description

Creates an empty list, in which you can add integers.

Definition at line 14 of file ai_list.hpp.

## Member Function Documentation

void AIList::AddItem | ( | int32 | item,
|  | int32 | value |
| ) |  |  |

Add an item to the list.

Parameters:

  | item | the item to add.
  | value | the value to assign.

Definition at line 8 of file ai_list.cpp.

References AIAbstractList::AddItem(), and AIAbstractList::SetValue().

Referenced by _set().

void AIList::ChangeItem | ( | int32 | item,
|  | int32 | value |
| ) |  |  |

Change the value of an item in the list.

Parameters:

  | item | the item to change
  | value | the value to assign.

Definition at line 14 of file ai_list.cpp.

References AIAbstractList::SetValue().

Referenced by _set().

void AIList::RemoveItem | ( | int32 | item | ) |

Remove the item from the list.

Parameters:

  | item | the item to remove.

Reimplemented from AIAbstractList.

Definition at line 19 of file ai_list.cpp.

References AIAbstractList::RemoveItem().

Referenced by _set().

The documentation for this class was generated from the following files:

- src/ai/api/ai_list.hpp
- src/ai/api/ai_list.cpp